Subject: Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Sep 2024 19:16:13 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 25 Sep 2024 15:36:58 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >
> >                                   Emacs does not realign the columns
> > in the output of the Find command, it uses the output as-is.  Since
> > you are on NetBSD, I'm guessing that your Find command is not GNU
> > Find, and it probably doesn't guarantee that the columns are aligned.
> > I think I see in the GNU Find code which tries to handle this case, so
> > maybe you could install GNU Find and try with that.
> >
> 
> The GNU findutils package offers pkg/gnu/bin/find and pkg/bin/gfind as
> follows, and the column alignment is correct in the GNU find.  Emacs
> doesn't seem to have a configuration option to override the system's
> find with gfind from GNU.

You should be able to accomplish that by setting the value of the
variable find-program to "gfind".

> Placing in PATH /usr/pkg/gnu/bin:/usr/pkg/bin:/usr/bin has the potential
> to knock-on unwanted side-effects where tools prefer the base system
> commands. An example would be make and gmake.

If you set the value of find-program to "gfind", I think you should be
able to add only /usr/pkg/bin to PATH, and that should not override
the original "find", "make", etc.